<?php
/**
 * @file
 *   Contains admin interface related page callbacks.
 */

/**
 * Callback method for administer settings form. Contains all required
 * information to establish an connection to EMMi SOAP integration.
 */
function itella_emmi_admin_form() {

  $form = array();

  $form['authentication'] = array(
    '#title' => t('Authentication'),
    '#type' => 'fieldset',
  );

  $form['authentication']['itella_emmi_endpoint_uri'] = array(
    '#title' => t('Endpoint URI'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#default_value' => variable_get('itella_emmi_endpoint_uri', ''),
    '#description' => t('The service endpoint URI'),
  );

  $form['authentication']['itella_emmi_username'] = array(
    '#title' => t('Username'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#default_value' => variable_get('itella_emmi_username', ''),
  );

  $form['authentication']['itella_emmi_password'] = array(
    '#title' => t('Password'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#default_value' => variable_get('itella_emmi_password', ''),
  );


  $form['config'] = array(
    '#title' => t('Service configuration'),
    '#type' => 'fieldset',
  );

  $form['config']['itella_emmi_service_id'] = array(
    '#title' => t('Service ID'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#default_value' => variable_get('itella_emmi_service_id', ''),
    '#description' => t('ID of the service to use.'),
  );


  $form['config']['itella_emmi_conversion_id'] = array(
    '#title' => t('Conversion ID'),
    '#type' => 'textfield',
    '#default_value' => variable_get('itella_emmi_conversion_id', '0'),
    '#description' => t('Conversion ID to use. The original is 0.'),
  );


  return system_settings_form($form);

}
